Subject: Re: [RFC PATCH v4 00/14] Labeled networking patches for 2.6.28

From: Casey Schaufler <[email-masked]>
Date: Tue, 02 Sep 2008 20:48:04 -0700

Paul Moore wrote:
> Another updated spin of the labeled networking patches for 2.6.28.  No new
> functionality this time around just some bug fixes, including a particularly
> fun one to correct the way we determine if a packet is locally generated or
> the result of forwarded traffic.  The previous solution, check to see if
> (skb->sk == NULL), did not work in all cases (hint: can be triggered by
> certain igmp packets which can be generated by the avahi-daemon, note: the
> avahi-daemon appears to be the source of some interesting corner cases).
>
> Since I'm reasonable certain there are no really nasty regressions, I've added sign-offs to all the patches now.  I expect there will probably be another
> spin or two to take care of bugs yet to be found and fix other various things
> that pop-up (maybe even the Smack stuff if I can find the time)

I'm pulling the git right now, much to the annoyance of one
particular skype user. Snicker. I've only been able to fiddle
around, we'll see how far I get.

> but the
> patches are in reasonably good shape right now.  I also did a test
> merge/compile with the September 2nd linux-next tree and there were no nasty
> surprises so I'm also pushing these patches to my lblnet-2.6_next tree which
> means you should see them in tomorrow's linux-next tree if all goes well.
>
> Any feedback, comments, or testing is appreciated.  As usual, the patches can
> also be found here:
>
>  * git://git.infradead.org/users/pcmoore/lblnet-2.6_testing
>
> Thanks.
>   
Thank you, you're the one doing the work.